﻿using System;
using Android.Views.Accessibility;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using SampleApp.Droid;
using SampleApp.DependencyServices;

[assembly: Dependency(typeof(AndroidAssignFocus))]
namespace SampleApp.Droid
{
    public class AndroidAssignFocus : IAssignFocus
    {
        public AndroidAssignFocus()
        {
        }

        public void AssignFocus(View v)
        {
            v.GetRenderer().View.SendAccessibilityEvent(EventTypes.ViewHoverEnter);
        }
    }
}
