﻿using System;
using System.Threading.Tasks;
using SampleApp.DependencyServices;
using SampleApp.iOS;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: Dependency(typeof(iOSReadText))]
namespace SampleApp.iOS
{
    public class iOSReadText : IReadText
    {
        public iOSReadText()
        {
        }

        public void ReadText(Label t)
        {
            
            Device.StartTimer(TimeSpan.FromMilliseconds(100.0), () =>
            {
                Foundation.NSString ss = new Foundation.NSString(t.Text);
                UIAccessibility.PostNotification(UIAccessibilityPostNotification.Announcement, ss);
                return false; // runs again, or false to stop
            });
        }

    }
}
