﻿using System;
using System.Collections.Generic;
using SampleApp.CustomRenderers;

using Xamarin.Forms;

namespace SampleApp.Views
{
    public partial class Functionality23 : ContentPage
    {
        public static CustomView customEditor = new CustomView { Text = "", HorizontalOptions = LayoutOptions.FillAndExpand, VerticalOptions = LayoutOptions.FillAndExpand};
        public Functionality23()
        {
            InitializeComponent();
            if (Device.RuntimePlatform == Device.Android)
            {
                customEditor.Text = "NOT AVAILABLE ON Android";
            }

            AutomationProperties.SetIsInAccessibleTree(customEditor, true);
            background.Children.Add(customEditor);
        }
    }
}
