﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Reflection;
using SampleApp.CustomRenderers;
using Xamarin.Forms;


namespace SampleApp.Views
{
    [DesignTimeVisible(false)]
    public partial class Functionality4 : ContentPage
    {
        
        public static Label myLabel = new Label { Text = "Select the Bell Image with the accessibility focus", HorizontalOptions = LayoutOptions.CenterAndExpand};

        public Functionality4()
        {
            InitializeComponent();

            // immagine campanello
            CustomImage BellImage = new CustomImage
            {
                Source = ImageSource.FromResource("SampleApp.images.bell.png", typeof(Functionality4).GetTypeInfo().Assembly)
            };

            
            AutomationProperties.SetIsInAccessibleTree(myLabel, true);
            AutomationProperties.SetIsInAccessibleTree(BellImage, true);
            AutomationProperties.SetName(BellImage, "Bell Image");

            background.Children.Add(myLabel);
            background.Children.Add(BellImage);
        }
    }
}

