﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace SampleApp.Views
{
    public partial class Functionality8 : ContentPage
    {
        public Functionality8()
        {
            InitializeComponent();
            AutomationProperties.SetIsInAccessibleTree(label, true);
            AutomationProperties.SetIsInAccessibleTree(entry, true);

            // this only works on Android
            AutomationProperties.SetLabeledBy(entry, label);

            //iOS
            if (Device.RuntimePlatform == Device.iOS)
            {
                AutomationProperties.SetName(entry, label.Text);
            }
        }
    }
}
