﻿using System;
using SampleApp.DependencyServices;
using SampleApp.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: Dependency(typeof(AndroidReadText))]
namespace SampleApp.Droid
{
    public class AndroidReadText : IReadText
    {
        public AndroidReadText()
        {
        }


        public void ReadText(Label t)
        {
            t.GetRenderer().View.AnnounceForAccessibility(t.Text);
        }
    }
}
