﻿using System;
using Android.Views.Accessibility;
using SampleApp.DependencyServices;
using SampleApp.Droid;
using Xamarin.Forms;
using Android.Content;
using Android.Runtime;
using Android.Views;

[assembly: Dependency(typeof(AndroidScreenReaderEnabled))]
namespace SampleApp.Droid
{
    public class AndroidScreenReaderEnabled : IScreenReaderEnabled
    {


        AccessibilityManager accessibilityManager =(AccessibilityManager)Android.App.Application.Context.GetSystemService(Context.AccessibilityService);

        public bool IsScreenReaderEnabled()
        {
            
            return accessibilityManager.IsEnabled;
            
        }
    }
}
