﻿using System;
using SampleApp.DependencyServices;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;
using SampleApp.iOS;

[assembly: Dependency(typeof(iOSAssignFocus))]
namespace SampleApp.iOS
{
    public class iOSAssignFocus : IAssignFocus
    {
        public void AssignFocus(View v)
        {

            UIAccessibility.PostNotification(notification: UIAccessibilityPostNotification.ScreenChanged, argument: v.GetRenderer().NativeView);

        }
    }
}
