﻿using System;
using SampleApp.DependencyServices;
using SampleApp.iOS;
using UIKit;
using Xamarin.Forms;

[assembly: Dependency(typeof(iOSScreenReaderEnabled))]
namespace SampleApp.iOS
{
    public class iOSScreenReaderEnabled : IScreenReaderEnabled
    {
        

        public bool IsScreenReaderEnabled()
        {
            return UIAccessibility.IsVoiceOverRunning;
        }
    }
}
