﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using SampleApp.DependencyServices;
using Xamarin.Forms;

namespace SampleApp.Views
{
    public partial class Functionality11 : ContentPage
    {
        IReadText readText;
        public Functionality11()
        {
            InitializeComponent();

            readText = DependencyService.Get<IReadText>();
            AutomationProperties.SetIsInAccessibleTree(label, true);
            AutomationProperties.SetIsInAccessibleTree(button, true);

        }

        void Button_Clicked(System.Object sender, System.EventArgs e)
        {
            readText.ReadText(label);
        }
    }
}
